Groovy Documentation

## groovy.util
[Java] Class OrderBy

    java.lang.Object
      groovy.util.OrderBy

All Implemented Interfaces:
  java.util.Comparator

    public class OrderBy
    extends java.lang.Object

A helper class for sorting objects via a closure to return the field or operation on which to sort.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`OrderBy()`
`OrderBy(Closure closure)`
`OrderBy(java.util.List closures)`

Method Summary
`void` | `add(Closure closure)`
`int` | `compare(java.lang.Object object1, java.lang.Object object2)`
`boolean` | `isEqualityCheck()`
`void` | `setEqualityCheck(boolean equalityCheck)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### OrderBy

    public OrderBy()

### OrderBy

    public OrderBy(Closure closure)

### OrderBy

    public OrderBy(java.util.List closures)

Method Detail

### add

    public void add(Closure closure)

### compare

    public int compare(java.lang.Object object1, java.lang.Object object2)

### isEqualityCheck

    public boolean isEqualityCheck()

### setEqualityCheck

    public void setEqualityCheck(boolean equalityCheck)

Groovy Documentation